Debian Bug report logs - #435474
Package: qa - Suggest to upgrade severity of Sky2 module problem

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: hinner@uni-mainz.de

Date: Tue, 31 Jul 2007 23:18:01 UTC

Severity: normal

Fixed in version 2.6.24-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#435474; Package qa. Full text and rfc822 format available.

Acknowledgement sent to hinner@uni-mainz.de:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kajetan Hinner <hinner@uni-mainz.de>
To: submit@bugs.debian.org
Subject: Package: qa - Suggest to upgrade severity of Sky2 module problem
Date: Wed, 01 Aug 2007 01:15:07 +0200
Package: qa

Hello

First of all thank you for all the work that you and others do on the
Debian project.

I'd suggest to upgrade the problem with the sky2 module to "severe"
because at least in my case it makes Debian Etch unusable as a Server
with the Sky2 module.

System:

Linux rocktunes 2.6.18-4-686 #1 SMP Wed May 9 23:03:12 UTC 2007 i686
GNU/Linux

Latest etch with all upgrades.

rocktunes:/var/log/apache2# lspci -v -s 3:0
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E
Gigabit Ethernet Controller (rev 22)
       Subsystem: Giga-byte Technology Marvell 88E8053 Gigabit Ethernet
Controller (Gigabyte)
       Flags: bus master, fast devsel, latency 0, IRQ 50
       Memory at f1000000 (64-bit, non-prefetchable) [size=16K]
       I/O ports at 9000 [size=256]
       [virtual] Expansion ROM at 80000000 [disabled] [size=128K]
       Capabilities: [48] Power Management version 2
       Capabilities: [50] Vital Product Data
       Capabilities: [5c] Message Signalled Interrupts: Mask- 64bit+
Queue=0/1 Enable+
       Capabilities: [e0] Express Legacy Endpoint IRQ 0
       Capabilities: [100] Advanced Error Reporting

After doing some research I found that the sky2 module is already known
to be broken (http://www.debian.org/releases/stable/debian-installer/) -
but this page suggests that this only affects the installation and not a
running system.

But in the case of our server all seemed to run fine for months but
since three weeks or so every now and then all network traffic stops -
without any apparant reason - and it's not fixed by itself.

Jul 24 14:33:20 rocktunes kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jul 24 14:33:20 rocktunes kernel: sky2 status report lost?
Jul 24 14:40:15 rocktunes kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jul 24 14:40:15 rocktunes kernel: sky2 hardware hung? flushing

At first I thought of some other problem - switch, cable, whatever. But
I never thought that such a severe bug would be unresolved in a stable
etch release. So I strongly suggest to remove the sky2 driver at all -
it even seems that there are several other issues with that module in
later kernels and this makes a Debian GNU/Linux server with NICs using
sky2 unusable.

Best greetings,

Kajetan Hinner






Bug reassigned from package `qa' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 01 Aug 2007 07:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#435474; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 435474@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: hinner@uni-mainz.de, 435474@bugs.debian.org
Subject: Re: Bug#435474: Package: qa - Suggest to upgrade severity of Sky2 module problem
Date: Fri, 3 Aug 2007 00:04:18 -0600
On Wed, Aug 01, 2007 at 01:15:07AM +0200, Kajetan Hinner wrote:
> But in the case of our server all seemed to run fine for months but
> since three weeks or so every now and then all network traffic stops -
> without any apparant reason - and it's not fixed by itself.

Can you test with this patch?
  http://people.debian.org/~dannf/sky2-updates.patch


-- 
dann frazier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#435474; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 435474@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Kajetan Hinner <hinner@uni-mainz.de>
Cc: 435474@bugs.debian.org
Subject: Re: Bug#435474: Package: qa - Suggest to upgrade severity of Sky2 module problem
Date: Fri, 3 Aug 2007 13:54:42 -0600
On Fri, Aug 03, 2007 at 07:05:52PM +0200, Kajetan Hinner wrote:
> dann frazier schrieb:
>> On Wed, Aug 01, 2007 at 01:15:07AM +0200, Kajetan Hinner wrote:
>>   
>>> But in the case of our server all seemed to run fine for months but
>>> since three weeks or so every now and then all network traffic stops -
>>> without any apparant reason - and it's not fixed by itself.
>>>     
>>
>> Can you test with this patch?
>>   http://people.debian.org/~dannf/sky2-updates.patch
>>
>>
>>   
>
> No, the group moved because of those problems to another server, so I don't 
> have continuous traffic any more. But thanks.

Ok, well - that makes it somewhat of a stalemate - can't release w/o a
tested patch.

Please leave the bug in the recipients list when replying.

-- 
dann frazier




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to hinner@uni-mainz.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 435474-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 435474-done@bugs.debian.org
Subject: Re: Suggest to upgrade severity of Sky2 module problem
Date: Wed, 21 May 2008 20:34:27 +0200
Version: 2.6.24-1

thanks to the etch + half team there is a newer 2.6.24 kernel
available for etch and thus fixing the issue of the old sky2 driver
see http://wiki.debian.org/EtchAndAHalf

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jun 2008 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:22:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.